#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Mar  4 11:42:56 2022

@author: felix
"""

import cython
import numpy as np
cimport numpy as np
from libc.math cimport sqrt


@cython.boundscheck(False)
@cython.wraparound(False)
@cython.cdivision(True)
def fillLoop(np.ndarray[double, ndim=1] vector):
    cdef int i
    cdef int number = len(vector)
    
    cdef double factor = 0.123
    for i in range(number):
        vector[i] = i*factor + sqrt(i)
        
    return vector